---
title: max-width
slug: Web/CSS/max-width
tags:
  - CSS
  - CSS Property
  - Layout
  - Limits
  - Maximum
  - Reference
  - dimensions
  - max-width
  - 'recipe:css-property'
  - size
  - width
---
<div>{{CSSRef}}</div>

<p>The <strong><code>max-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the maximum width of an element. It prevents the <a href="/en-US/docs/Web/CSS/used_value">used value</a> of the {{cssxref("width")}} property from becoming larger than the value specified by <code>max-width</code>.</p>

<div>{{EmbedInteractiveExample("pages/css/max-width.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p><code>max-width</code> overrides {{cssxref("width")}}, but {{cssxref("min-width")}} overrides <code>max-width</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; value */
max-width: 3.5em;

/* &lt;percentage&gt; value */
max-width: 75%;

/* Keyword values */
max-width: none;
max-width: max-content;
max-width: min-content;
max-width: fit-content(20em);

/* Global values */
max-width: inherit;
max-width: initial;
max-width: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Defines the <code>max-width</code> as an absolute value.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>Defines the <code>max-width</code> as a percentage of the containing block's width.</dd>
 <dt><code>none</code></dt>
 <dd>No limit on the size of the box.</dd>
 <dt><code>max-content</code></dt>
 <dd>The intrinsic preferred <code>max-width</code>.</dd>
 <dt><code>min-content</code></dt>
 <dd>The intrinsic minimum <code>max-width</code>.</dd>
 <dt><code>fit-content({{cssxref("&lt;length-percentage&gt;")}})</code></dt>
 <dd>Uses the <code>fit-content</code> formula with the available space replaced by the specified argument, i.e. <code>min(max-content, max(min-content, <var>argument</var>))</code>.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Ensure that elements set with a <code>max-width</code> are not truncated and/or do not obscure other content when the page is zoomed to increase text size.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html" rel="noopener">Understanding Success Criterion 1.4.4 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_max_width_in_pixels">Setting max width in pixels</h3>

<p>In this example, the "child" will be either 150 pixels wide or the width of the "parent," whichever is smaller.</p>

<h4 id="HTML">HTML</h4>

<div id="basic-max-width-demo">
<pre class="brush: html notranslate">&lt;div id="parent"&gt;
  &lt;div id="child"&gt;
    Fusce pulvinar vestibulum eros, sed luctus ex lobortis quis.
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#parent {
  background: lightblue;
  width: 300px;
}

#child {
  background: gold;
  width: 100%;
  max-width: 150px;
}
</pre>

<h4 id="Result">Result</h4>
</div>

<p>{{EmbedLiveSample("Setting_max_width_in_pixels", 350, 100)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Sizing', '#width-height-keywords', 'max-width')}}</td>
   <td>{{Spec2('CSS4 Sizing')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Sizing', '#width-height-keywords', 'max-width')}}</td>
   <td>{{Spec2('CSS3 Sizing')}}</td>
   <td>Adds the <code>max-content</code>, <code>min-content</code>, <code>fit-content</code> keywords.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'visudet.html#min-max-widths', 'max-width') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.max-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model" title="en/CSS/box_model">The box model</a>, {{cssxref("box-sizing")}}</li>
 <li>{{cssxref("width")}}, {{cssxref("min-width")}}</li>
 <li>The mapped logical properties: {{cssxref("max-inline-size")}}, {{cssxref("max-block-size")}}</li>
</ul>
